Bug 1594814 - GDM killed by SIGABRT after login
Summary: GDM killed by SIGABRT after login
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gdm
Version: 7.6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Ray Strode [halfline]
QA Contact: Desktop QE
URL:
Whiteboard:
: 1613867 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-25 13:05 UTC by Tomas Hudziec
Modified: 2018-10-30 10:27 UTC (History)
2 users (show)

Fixed In Version: gdm-3.28.2-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:26:43 UTC
Target Upstream Version:


Attachments (Terms of Use)
info about gdm crash from /var/log/messages (65.30 KB, text/plain)
2018-06-25 13:05 UTC, Tomas Hudziec
no flags Details
backtrace of gdm (21.69 KB, text/plain)
2018-06-26 17:36 UTC, Tomas Hudziec
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:27:06 UTC

Description Tomas Hudziec 2018-06-25 13:05:47 UTC
Created attachment 1454354 [details]
info about gdm crash from /var/log/messages

Description of problem:
After half an hour of inactivity (and screen lock) logging in back caused GDM crash. Black screen blinked with some text containing two lines with 'permission denied', then desktop shown up for half a second and then GDM again appeared (it logged me off). After second attempt to log in it happened again, then I rebooted system. It have not happened since then.

Version-Release number of selected component (if applicable):
gdm-3.28.2-4.el7.x86_64

How reproducible:
happened once

Steps to Reproduce:
Don't know exactly, how to reproduce. After second half an hour of inactivity it did not happen.

Actual results:
successful logging in blinks screen black, shows desktop for a while and then it returns to locked screen

Expected results:
successful logging in should show desktop

Additional info:
/var/log/messages show "gdm: *** Error in `/usr/sbin/gdm': double free or corruption (fasttop): 0x000055dcd463a800 ***", backtrace and more consequent events. See attachment.

Comment 2 Ray Strode [halfline] 2018-06-25 18:30:47 UTC
was the machine recently upgraded from an earlier rhel release?  Your symtoms sound very similar to bug 1477289 . If you had upgraded and not rebooted that would explain why you were getting hit by the bug.

Comment 3 Tomas Hudziec 2018-06-26 15:10:58 UTC
I have upgraded the machine from 7.5 to 7.6 beta a week ago, yesterday I did update of system packages, GDM was between them. I rebooted the machine. The bug still occurs after some longer time of inactivity and today I figured out, that it also happens after connecting laptop to docking station. I have ThinkPad X1 Carbon 4th gen with OneLink+ dock.

Comment 4 Ray Strode [halfline] 2018-06-26 15:51:38 UTC
can you post a backtrace?

Comment 5 Tomas Hudziec 2018-06-26 17:36:03 UTC
Created attachment 1454770 [details]
backtrace of gdm

Yes, here it is. Hope it is correct.

Comment 6 Ray Strode [halfline] 2018-06-26 18:02:57 UTC
yup thanks.

Relevant code:

•
                res = sd_session_get_class (sessions[i], &service_class);•
                if (res < 0) {•
                        if (res == -ENOENT) {•
                                free (service_class);•
                                continue;•
                        }•
•

Clearly service_class is left uninitialized because sd_session_get_class is returning an error.  Problem was introduced in the fix for bug 1489977. Fix is straightforward, need to drop the free call.

Comment 7 Ray Strode [halfline] 2018-06-26 18:07:39 UTC
since this was introduced in bug 1489977 which is still ON_QA, i piggy backed off the acks for it.

Comment 9 Tomas Hudziec 2018-07-02 16:39:08 UTC
Not reproducible any more with gdm-3.28.2-5.el7.x86_64. (Reproducer was to lock the screen and unlock it).

Comment 10 Ray Strode [halfline] 2018-08-08 17:23:29 UTC
*** Bug 1613867 has been marked as a duplicate of this bug. ***

Comment 12 errata-xmlrpc 2018-10-30 10:26:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.